Page MenuHomePhabricator

Fix zuul-cloner error "Unable to initialize repo for mediawiki/core because 'src' already exists and is non-empty"
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/mwext-qunit/1775/console
on integration-slave-trusty-1011

+ zuul-cloner --color --verbose --map /srv/deployment/integration/slave-scripts/etc/zuul-clonemap.yaml --workspace src https://gerrit.wikimedia.org/r/p mediawiki/core mediawiki/vendor mediawiki/extensions/EventLogging
INFO:zuul.Cloner:Loaded map containing 4 rules
INFO:zuul.CloneMapper:Workspace path set to: src
INFO:zuul.CloneMapper:Mapping projects to workspace...
INFO:zuul.CloneMapper:  mediawiki/core -> src
INFO:zuul.CloneMapper:  mediawiki/vendor -> src/vendor
INFO:zuul.CloneMapper:  mediawiki/extensions/EventLogging -> src/extensions/EventLogging
DEBUG:zuul.CloneMapper:Checking overlap in destination directories...
INFO:zuul.CloneMapper:Expansion completed.
INFO:zuul.Cloner:Preparing 3 repositories
INFO:zuul.Cloner:Creating repo mediawiki/core from upstream https://gerrit.wikimedia.org/r/p/mediawiki/core
DEBUG:zuul.Repo:Cloning from https://gerrit.wikimedia.org/r/p/mediawiki/core to src
ERROR:zuul.Repo:Unable to initialize repo for https://gerrit.wikimedia.org/r/p/mediawiki/core
Traceback (most recent call last):
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 38, in __init__
    self._ensure_cloned()
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 50, in _ensure_cloned
    git.Repo.clone_from(self.remote_url, self.local_path)
  File "/usr/lib/python2.7/dist-packages/git/repo/base.py", line 739, in clone_from
    return cls._clone(Git(os.getcwd()), url, to_path, GitCmdObjectDB, progress, **kwargs)
  File "/usr/lib/python2.7/dist-packages/git/repo/base.py", line 691, in _clone
    finalize_process(proc)
  File "/usr/lib/python2.7/dist-packages/git/remote.py", line 64, in finalize_process
    proc.wait()
  File "/usr/lib/python2.7/dist-packages/git/cmd.py", line 100, in wait
    raise GitCommandError(self.args, status, self.proc.stderr.read())
GitCommandError: 'git clone -v https://gerrit.wikimedia.org/r/p/mediawiki/core src' returned exit status 128: fatal: destination path 'src' already exists and is not an empty directory.

Traceback (most recent call last):
  File "/usr/bin/zuul-cloner", line 10, in <module>
    sys.exit(main())
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/cmd/cloner.py", line 160, in main
    cloner.main()
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/cmd/cloner.py", line 155, in main
    cloner.execute()
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/lib/cloner.py", line 68, in execute
    self.prepareRepo(project, dest)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/lib/cloner.py", line 132, in prepareRepo
    repo = self.cloneUpstream(project, dest)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/lib/cloner.py", line 100, in cloneUpstream
    raise Exception("Error cloning %s to %s" % (git_upstream, dest))
Exception: Error cloning https://gerrit.wikimedia.org/r/p/mediawiki/core to src
Build step 'Execute shell' marked build as failure

Event Timeline

Krinkle created this task.Jun 10 2015, 10:02 PM
Krinkle raised the priority of this task from to Unbreak Now!.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 10:02 PM

Any news here (or a reply to Legoktm's comment)?
This has been "Unbreak now" priority for a week now, without updates.

Is this a leftover from before rCICFbc271118d5fc: Make sure src/ is empty before zuul-cloner runs was deployed?

Seems unlikely since that was a month ago. But I haven't seen the error recur since then, either.

Krinkle closed this task as Resolved.Jun 17 2015, 4:54 PM
Krinkle claimed this task.
greg moved this task from INBOX to Done on the Release-Engineering-Team board.Jul 28 2015, 8:38 PM